# blob.hpp File Reference

`#include "../core/alloc_func.hpp"`

Go to the source code of this file.

## Data Structures

class | CBlobBaseSimple
| Base class for simple binary blobs. More...
struct | CBlobBaseSimple::CHdr
| header of the allocated memory block More...
class | CBlobT< Titem_, Tbase_ >
| Blob - simple dynamic Titem_ array. More...
struct | CBlobT< Titem_, Tbase_ >::OnTransfer

## Functions

template<class Titem_>
FORCEINLINE void | MemCpyT (Titem_ *d, const Titem_ *s, int num_items=1)
| Type-safe version of memcpy().

## Detailed Description

Definition in file blob.hpp.

## Function Documentation

template<class Titem_>

FORCEINLINE void MemCpyT | ( | Titem_ * | d,
|  | const Titem_ * | s,
|  | int | num_items = `1` |
| ) |  |  | `[inline]`

Type-safe version of memcpy().

Parameters:

  | d | destination buffer
  | s | source buffer
  | num_items | number of items to be copied (!not number of bytes!)

Definition at line 15 of file blob.hpp.